!============================================================================
! Error: The type of the actual argument, "type(MYSTRUCT)", 
!        does not match "type(MYSTRUCT)", the type of the dummy argument
!
! This is an indication that this F90 compiler does not use
! type name equivalence (but assign **each type definition** with
! a unique type ID (index)
!============================================================================

        SUBROUTINE print( x )

         TYPE myStruct
          INTEGER :: i
          REAL    :: f
         END TYPE myStruct

         TYPE(myStruct) :: x

         print *, "myStruct x = ", x
        END SUBROUTINE

!========================================================

	PROGRAM main

         TYPE myStruct
          INTEGER :: i
          REAL    :: f
         END TYPE myStruct

	 INTERFACE
	  SUBROUTINE print( x )

	   TYPE myStruct
            INTEGER :: i
            REAL    :: f
           END TYPE myStruct

	  TYPE(myStruct) :: x
          END SUBROUTINE
	 END INTERFACE

	 TYPE(myStruct) :: A

	 A%i = 4; 
	 A%f =3.14

	 CALL print(A)

	END PROGRAM
